=== debian/control ===
Source: smcroute
Section: net
Priority: extra
Maintainer: Micha Lenk <micha@debian.org>
Uploaders: Julien BLACHE <jblache@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.9.2
Homepage: https://alioth.debian.org/projects/smcroute/

Package: smcroute
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: static multicast router daemon
 SMCRoute is a command line tool to manipulate the multicast routes of the
 Linux kernel. It can be used as an alternative to dynamic multicast routers
 like pimd or xorp in situations where static multicast routes should be
 maintained and/or no proper IGMP signaling exists.
