=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	cd src; ./configure --prefix=/usr
	touch configure-stamp

build-indep: build-stamp
build-arch: build-stamp
build-stamp: configure
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C src all CFLAGS="$(CFLAGS)"

	touch build-stamp

build:	build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f src/Makefile ] || $(MAKE) -C src clean
	rm -vf src/config.h src/config.log src/config.status src/Makefile configure-stamp

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/smcroute.
	cp src/smcroute $(CURDIR)/debian/smcroute/usr/sbin
	cp src/mcsender $(CURDIR)/debian/smcroute/usr/sbin
	mkdir -p $(CURDIR)/debian/smcroute/etc/smcroute
	cp debian/startup.sh $(CURDIR)/debian/smcroute/etc/smcroute
	chmod +x $(CURDIR)/debian/smcroute/etc/smcroute/startup.sh

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installinit
	dh_installman doc/smcroute.8 doc/mcsender.8
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: configure build build-arch build-indep clean binary-indep binary-arch binary install
