=== debian/watch ===
# use uscan(1)
version=3

# Full-site-with-pattern  [Version  [Action]]
http://alioth.debian.org/frs/?group_id=30986 \
  https://alioth.debian.org/frs/download.php/.*/smcroute-(.*)\.tar\.gz
