=== debian/control ===
Source: smcroute
Section: net
Priority: optional
Maintainer: Micha Lenk <micha@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf
Standards-Version: 4.0.1
Homepage: http://troglobit.com/smcroute.html
Vcs-Browser: http://source.lenk.info/git/pkg-smcroute.git
Vcs-Git: git://source.lenk.info/git/pkg-smcroute.git
Testsuite: autopkgtest

Package: smcroute
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Description: static multicast router daemon
 SMCRoute is a command line tool to manipulate the multicast routes of the
 Linux kernel. It can be used as an alternative to dynamic multicast routers
 like pimd or xorp in situations where static multicast routes should be
 maintained and/or no proper IGMP signaling exists.
