=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# See dpkg-buildflags(1) manpage
DEB_CFLAGS_MAINT_APPEND = -Wall -Werror -ggdb

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/sbin

override_dh_auto_install:
	dh_auto_install
	# delete smcroute.conf from /usr/share/doc/smcroute/ as this is also
	# installed by dh_installexamples to the proper examples/ subdirectory
	find debian/ -name smcroute.conf -type f -delete -printf "Removing %p\n"
	# delete smcroute.init from /usr/share/doc/smcroute/ as it needs to be
	# installed to /etc/init.d/
	install -D -m 0755 smcroute.init debian/smcroute/etc/init.d/smcroute
	find debian/ -name smcroute.init -type f -delete -printf "Removing %p\n"
	# delete duplicate license file /usr/share/doc/smcroute/COPYING
	rm -v debian/smcroute/usr/share/doc/smcroute/COPYING
	# delete duplicate changelog file /usr/share/doc/smcroute/ChangeLog.gz
	rm -v debian/smcroute/usr/share/doc/smcroute/ChangeLog

override_dh_installinit:
	dh_installinit --onlyscripts

override_dh_installchangelogs:
	# this avoids lintian complaining about duplicate-changelog-files
	dh_installchangelogs -k
