## smcroute 2.4.2

=== debian/changelog ===
smcroute (2.4.2-4) unstable; urgency=medium

  * Import upstream fix for malfunctioning 'stop' command to init script,
    closes: #924044
  * Import upstream fix to allow same outbound interface as inbound when
    routing.  This is slightly hairy, but previous releases of SMCRoute
    supported this and the unit tests rely on this to work
  * Fix unit tests, with upstream and test setup fixes, closes: #921577
  * Bump Standards-Version to 4.3.0, no changes needed
  * Use debhelper maintscript to relocate old /etc/startup.sh script
    to /etc/smcroute.  Fixes an outstanding lintian warning

 -- Joachim Nilsson <troglobit@gmail.com>  Thu, 07 Mar 2019 06:40:19 +0100

smcroute (2.4.2-3) unstable; urgency=medium

  * Add missing Build-Depends for systemd, needed for unit file path
  * Update and reformat debian/copyright according to DEP-5, closes: #908701
  * Fix lintian man page error, too long line
  * debian/rules:
    + Enable hardening with bindnow, suggested by lintian
    + Export extra CFLAGS, to enable in build, drop -Wall already in upstream
  * debian/NEWS: Alert users of changes to .conf files since 2.0.0-6
  * smcroute-helper: Add documentation to unit file, reference NEWS.Debian
  * Enable privilege separation support

 -- Joachim Nilsson <troglobit@gmail.com>  Sun, 23 Sep 2018 22:40:04 +0200

smcroute (2.4.2-2) UNRELEASED; urgency=medium

  * Add libsystemd-dev and pkg-config to Build-Depends.
    SMCRoute has native support for installing the systemd unit file.
    However, to activate this support the system needs both pkg-config
    and libsystemd-dev.
    This change fixes the following lintian error found by Micha Lenk when
    building in a clean sid chroot:
        E: smcroute: omitted-systemd-service-for-init.d-script smcroute
  * Enable privilege separation, add libcap-dev to Build-Depends.
    Since SMCRoute v2.2 privilege separation using libcap is supported.  To
    enable this, and silence the big warning at configure time, we need to
    have libcap-dev (and pkg-config) installed at build time.
  * Enforce use of systemd and libcap in configure script

 -- Joachim Nilsson <troglobit@gmail.com>  Fri, 14 Sep 2018 18:52:04 +0200

smcroute (2.4.2-1) unstable; urgency=medium

  [ Micha Lenk ]
  * Update Git repository for Debian packaging repo

  [ Joachim Nilsson ]
  * New upstream version 2.4.1
  * Remove local patches included in latest imported upstream
  * Skip removal of upstream ChangeLog, no longer installed in doc
  * Fix lintian warning unnecessary-testsuite-autopkgtest-field
    Drop 'Testsuite:' from debian/control, fixes this lintian warning
        W: smcroute source: unnecessary-testsuite-autopkgtest-field
  * Add Conflicts with mrouted, pimd, and quagga-pimd
    They all share the same multicast routing socket, and only one daemon
    at a time can do MRT_INIT
  * Update package description, SCMRoute is not just limited to Linux
    SMCRoute is not limited to Linux, it works also on FreeBSD and NetBSD
  * Add systemd support, unit file included by upstream
    debhelper >= 9.20160709 includes dh-systemd
  * Remove Debian specific /etc/smcroute/startup.sh script
    We should recommend smcroute.conf over the legacy startup script.
    However, we still need to honor any already installed script.
  * New maintainer, closes: #906889
  * Fix lintian warning; old debhelper version, >= 10 to support Stretch
  * Bump Standards-Version to 4.2.1 after audit
    https://www.debian.org/doc/packaging-manuals/upgrading-checklist.txt
    As far as I can see, no changes are needed for SMCRoute
  * debian/changelog: Remove empty line at end of file
  * New upstream version 2.4.2, closes: #846780
  * Import upstream spelling fixes, found by lintian
  * Import upstream fix for missing status command in SysV init script
  * Enable SMCRoute mrdisc feature, RFC4286
    This change enables the SMCRoute built-in support for RFC4286, multicast
    router discovery protocol.  By default SMCRoute does nothing, but when
    it is enabled on a phyint SMCRoute periodically sends discovery frames
  * Add SMCRoute systemd helper service, runs /etc/smcroute/startup.sh
  * Strip dh-autoreconf from Build-Depends, default in debhelper >= 10
    Fixes the following lintian warning
        W: smcroute source: useless-autoreconf-build-depends dh-autoreconf

 -- Joachim Nilsson <troglobit@gmail.com>  Mon, 10 Sep 2018 21:44:17 +0200
