=== debian/control ===
Source: smcroute
Section: net
Priority: optional
Maintainer: Joachim Nilsson <troglobit@gmail.com>
Build-Depends: debhelper (>= 10), libcap-dev, systemd, pkg-config
Standards-Version: 4.3.0
Homepage: http://troglobit.com/smcroute.html
Vcs-Browser: https://salsa.debian.org/debian/smcroute
Vcs-Git: https://salsa.debian.org/debian/smcroute.git

Package: smcroute
Architecture: any
Conflicts: mrouted, pimd, quagga-pimd
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Description: static multicast router daemon
 SMCRoute is a daemon and command line tool to manipulate the multicast
 routing table of a UNIX kernel.  It can be used as an alternative to
 dynamic multicast routers like pimd, mrouted, quagga-pimd, or xorp in
 situations where static multicast routes should be maintained and/or no
 proper IGMP signaling exists.
