=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,15 @@
 #export DH_VERBOSE=1
 
 # See dpkg-buildflags(1) manpage
-DEB_CFLAGS_MAINT_APPEND = -Wall -Werror -ggdb
+export DEB_CFLAGS_MAINT_APPEND = -Werror -ggdb
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf,systemd
 
 override_dh_auto_configure:
-	dh_auto_configure -- --bindir=/usr/sbin
+	dh_auto_configure -- --bindir=/usr/sbin --with-systemd --with-libcap \
+		--enable-mrdisc
 
 override_dh_auto_install:
 	dh_auto_install
@@ -22,12 +24,7 @@
 	find debian/ -name smcroute.init -type f -delete -printf "Removing %p\n"
 	# delete duplicate license file /usr/share/doc/smcroute/COPYING
 	rm -v debian/smcroute/usr/share/doc/smcroute/COPYING
-	# delete duplicate changelog file /usr/share/doc/smcroute/ChangeLog.gz
-	rm -v debian/smcroute/usr/share/doc/smcroute/ChangeLog
 
 override_dh_installinit:
 	dh_installinit --onlyscripts
-
-override_dh_installchangelogs:
-	# this avoids lintian complaining about duplicate-changelog-files
-	dh_installchangelogs -k
+	dh_installsystemd --name=smcroute-helper
