## smcroute 2.4.4

=== debian/changelog ===
smcroute (2.4.4-3) unstable; urgency=medium

  * debian/tests: Skip multicast cache tests on systems without multicast
    capable interfaces.

 -- Micha Lenk <micha@debian.org>  Mon, 01 Mar 2021 09:22:50 +0100

smcroute (2.4.4-2) unstable; urgency=medium

  * debian/changelog: Mark bug #952418 as closed in 2.4.4-1
  * Add sd_notify.patch teaching smcrouted to call sd_notify() when up and
    running. This fixes the systemd race condition that causes CI tests to fail
    on slow systems (closes: #924361).
  * autopkgtests: daemon-init-scripts: Revert the sleeps that were trying to
    "make tricky operations succeed". This is now fixed properly (see above).
  * Add build dependency on libsystemd-dev.

 -- Micha Lenk <micha@debian.org>  Sun, 28 Feb 2021 16:30:39 +0100

smcroute (2.4.4-1) unstable; urgency=medium

  [ Adrien ]
  * Remove invalid comma in "After" list of systemd service file (closes:
    #952418).

  [ Micha Lenk ]
  * New upstream version 2.4.4.
    - Drop all patches (all applied upstream).
  * Switch to current Salsa CI Team pipeline.
  * Package is compliant to Debian policy 4.5.1.
  * Make myself maintainer and move Joachim to uploaders.
  * Switch to debhelper compat level 13 and get rid of debian/compat.
  * debian/rules: No longer explicitly enable autoreconf and systemd debhelper
    sequence. They are enabled by default since debhelper 10 anyways.
  * debian/control: Add Pre-Depends as advised by Lintian (tag
    skip-systemd-native-flag-missing-pre-depends).
  * debian/rules: Wrap configure flags into individual lines for better
    tracking of changes in Git.
  * Re-work and streamline init script handling.
  * autopkgtests:
    - Drop isolation-machine restriction.
    - daemon-init-scripts: Try to make tricky operations succeed.

 -- Micha Lenk <micha@debian.org>  Thu, 25 Feb 2021 13:28:54 +0100
