=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: smcroute
 Section: net
 Priority: optional
-Maintainer: Joachim Nilsson <troglobit@gmail.com>
-Build-Depends: debhelper (>= 10), libcap-dev, systemd, pkg-config
-Standards-Version: 4.3.0
+Maintainer: Micha Lenk <micha@debian.org>
+Uploaders: Joachim Nilsson <troglobit@gmail.com>
+Build-Depends: debhelper-compat (= 13), libcap-dev, libsystemd-dev, systemd,
+ pkg-config
+Standards-Version: 4.5.1
 Homepage: http://troglobit.com/smcroute.html
 Vcs-Browser: https://salsa.debian.org/debian/smcroute
 Vcs-Git: https://salsa.debian.org/debian/smcroute.git
@@ -11,6 +13,7 @@
 Package: smcroute
 Architecture: any
 Conflicts: mrouted, pimd, quagga-pimd
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
 Description: static multicast router daemon
  SMCRoute is a daemon and command line tool to manipulate the multicast
