=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# See dpkg-buildflags(1) manpage
export DEB_CFLAGS_MAINT_APPEND = -Werror -ggdb
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--bindir=/usr/sbin \
		--with-systemd \
		--with-libcap \
		--enable-mrdisc

override_dh_auto_install:
	dh_auto_install
	# delete smcroute.conf from /usr/share/doc/smcroute/ as this is also
	# installed by dh_installexamples to the proper examples/ subdirectory
	find debian/ -name smcroute.conf -type f -delete -printf "Removing %p\n"
	# delete duplicate license file /usr/share/doc/smcroute/COPYING
	rm -v debian/smcroute/usr/share/doc/smcroute/COPYING

override_dh_installsystemd:
	dh_installsystemd
	dh_installsystemd --name=smcroute-helper
