## smcroute 2.5.3

=== debian/changelog ===
smcroute (2.5.3-2) unstable; urgency=medium

  * debian/tests: Re-work daemon-init-scripts to make PID lookup more reliable.
  * debian/rules: Don't ship the smcroute-helper.service when building without
    systemd support (i.e. kFreeBSD as of now).
  * debian/upstream: Add metadata.

 -- Micha Lenk <micha@debian.org>  Sun, 26 Sep 2021 21:09:52 +0200

smcroute (2.5.3-1) unstable; urgency=medium

  * New upstream version 2.5.3.
  * Drop patch sd_notify.patch (applied upstream).
  * debian/watch: Update URLs to match changes on github.com.
  * debian/source/options: Ignore generated files in local change detection.
  * Package is compliant to Debian policy 4.6.0 (no changes needed).
  * Re-enable builds on kFreeBSD by conditionally disabling systemd
    integration, use of libcap and multicast router discovery on kFreeBSD.
  * debian/tests: Fix race condition in daemon-init-scripts test.

 -- Micha Lenk <micha@debian.org>  Fri, 24 Sep 2021 11:14:34 +0200
