## smcroute 2.5.5

=== debian/changelog ===
smcroute (2.5.5-1) unstable; urgency=medium

  * New upstream version 2.5.5.

 -- Micha Lenk <micha@debian.org>  Mon, 22 Nov 2021 20:38:19 +0100
