=== debian/control ===
--- 
+++ 
@@ -3,9 +3,12 @@
 Priority: optional
 Maintainer: Micha Lenk <micha@debian.org>
 Uploaders: Joachim Nilsson <troglobit@gmail.com>
-Build-Depends: debhelper-compat (= 13), libcap-dev, libsystemd-dev, systemd,
+Build-Depends: debhelper-compat (= 13),
+ libcap-dev [!kfreebsd-any],
+ libsystemd-dev [!kfreebsd-any],
+ systemd [!kfreebsd-any],
  pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: http://troglobit.com/smcroute.html
 Vcs-Browser: https://salsa.debian.org/debian/smcroute
 Vcs-Git: https://salsa.debian.org/debian/smcroute.git
