=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,18 @@
 #!/usr/bin/make -f
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# Conditionals for libsystemd and libcap
+include /usr/share/dpkg/architecture.mk
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
+with_systemd = --without-systemd
+with_libcap = --without-libcap
+enable_mrdisc = --disable-mrdisc
+else
+with_systemd = --with-systemd
+with_libcap = --with-libcap
+enable_mrdisc = --enable-mrdisc
+endif
 
 # See dpkg-buildflags(1) manpage
 export DEB_CFLAGS_MAINT_APPEND = -Werror -ggdb
@@ -12,9 +24,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--bindir=/usr/sbin \
-		--with-systemd \
-		--with-libcap \
-		--enable-mrdisc
+		$(with_systemd) \
+		$(with_libcap) \
+		$(enable_mrdisc)
 
 override_dh_auto_install:
 	dh_auto_install
@@ -24,6 +36,8 @@
 	# delete duplicate license file /usr/share/doc/smcroute/COPYING
 	rm -v debian/smcroute/usr/share/doc/smcroute/COPYING
 
+ifeq ($(with_systemd),--with-systemd)
 override_dh_installsystemd:
 	dh_installsystemd
 	dh_installsystemd --name=smcroute-helper
+endif
