=== debian/watch ===
version=4
https://github.com/troglobit/smcroute/releases/latest .*/smcroute-(\d\S+)\.tar\.(?:xz|bz2|gz)
