## smcroute 2.5.6

=== debian/changelog ===
smcroute (2.5.6-3) unstable; urgency=medium

  * Switch build dependency from systemd to systemd-dev (Closes: #1060531).
  * debian/copyright: Drop unreferenced paragraph for BSD-4-clause license.

 -- Micha Lenk <micha@debian.org>  Thu, 22 Feb 2024 21:19:57 +0100

smcroute (2.5.6-2) unstable; urgency=medium

  [ Micha Lenk ]
  * Drop dependency on lsb-base (>= 3.0-6). Thanks to Lintian for flagging this
    as obsolete.

  [ Luca Boccassi ]
  * Non-maintainer upload.
  * autopkgtest: drop is-system-running check (Closes: #1052548)

 -- Micha Lenk <micha@debian.org>  Mon, 25 Sep 2023 23:58:00 +0200

smcroute (2.5.6-1) unstable; urgency=medium

  * New upstream version 2.5.6.
  * debian/watch: Switch to Github API to search for new versions.
  * Package is compliant to Debian policy 4.6.2 (no changes needed).
  * d/copyright: Drop stanza for no longer distributed src/ip_mroute.h and
    update copyright.

 -- Micha Lenk <micha@debian.org>  Sun, 08 Jan 2023 14:02:40 +0100
