=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper-compat (= 13),
  libcap-dev [!kfreebsd-any],
  libsystemd-dev [!kfreebsd-any],
- systemd [!kfreebsd-any],
+ systemd-dev [!kfreebsd-any],
  pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: http://troglobit.com/smcroute.html
 Vcs-Browser: https://salsa.debian.org/debian/smcroute
 Vcs-Git: https://salsa.debian.org/debian/smcroute.git
@@ -17,7 +17,7 @@
 Architecture: any
 Conflicts: mrouted, pimd, quagga-pimd
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: static multicast router daemon
  SMCRoute is a daemon and command line tool to manipulate the multicast
  routing table of a UNIX kernel.  It can be used as an alternative to
