## smcroute 2.5.7

=== debian/changelog ===
smcroute (2.5.7-1) unstable; urgency=medium

  * New upstream version 2.5.7.
  * Package is compliant to Debian policy 4.7.0 (no changes needed).
  * d/control: Switch build-dependencies from pkg-config to pkgconf.
  * Auto-generate manpage for smcroute command using help2man.

 -- Micha Lenk <micha@debian.org>  Sun, 12 May 2024 14:59:40 +0200
