=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Micha Lenk <micha@debian.org>
 Uploaders: Joachim Nilsson <troglobit@gmail.com>
 Build-Depends: debhelper-compat (= 13),
+ help2man,
  libcap-dev [!kfreebsd-any],
  libsystemd-dev [!kfreebsd-any],
  systemd-dev [!kfreebsd-any],
- pkg-config
-Standards-Version: 4.6.2
+ pkgconf
+Standards-Version: 4.7.0
 Homepage: http://troglobit.com/smcroute.html
 Vcs-Browser: https://salsa.debian.org/debian/smcroute
 Vcs-Git: https://salsa.debian.org/debian/smcroute.git
