=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,9 @@
 export DEB_CFLAGS_MAINT_APPEND = -Werror -ggdb
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+# Upstream version of the package
+DEB_UPSTREAM_VERSION := $(shell dpkg-parsechangelog -S Version|cut -d- -f1)
+
 %:
 	dh $@
 
@@ -27,6 +30,15 @@
 		$(with_systemd) \
 		$(with_libcap) \
 		$(enable_mrdisc)
+
+execute_after_dh_auto_build:
+	help2man --name=smcroute \
+		--section=8 \
+		--no-info \
+		--help-option=-h \
+		--version-string=$(DEB_UPSTREAM_VERSION) \
+		--output=smcroute.8 \
+		./smcroute
 
 override_dh_auto_install:
 	dh_auto_install
