=== debian/tests/control ===
Tests: daemon-init-scripts mr-cache-ipv4 mr-cache-ipv6
Restrictions: needs-root allow-stderr
Depends: @, libipc-system-simple-perl, procps
