=== debian/watch ===
version=4
opts="searchmode=plain" \
  https://api.github.com/repos/troglobit/smcroute/releases/latest?per_page=100 \
  https://github.com/troglobit/smcroute/releases/download/[^/]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
